//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "GlobalUnit.h"
#include "StyleSpecsFormUnit.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "GeneralDialogPanel"
#pragma link "TextButton"
#pragma resource "*.dfm"
TStyleSpecsForm *StyleSpecsForm;

//---------------------------------------------------------------------------
__fastcall TStyleSpecsForm::TStyleSpecsForm(TComponent* Owner, DWORD dwError)
	: TForm(Owner)
{
	m_dwError = dwError;

	Font->Color = RGB(60,43,23);
}

//---------------------------------------------------------------------------
__fastcall TStyleSpecsForm::~TStyleSpecsForm()
{
}

//---------------------------------------------------------------------------
void __fastcall TStyleSpecsForm::WMNCHitTest(TWMNCHitTest &Msg)
{
	TForm::Dispatch(&Msg);

	if( Msg.Result==HTCLIENT && Msg.YPos<Top+24 )
		Msg.Result = HTCAPTION;
}
//---------------------------------------------------------------------------

void __fastcall TStyleSpecsForm::FormKeyDown(TObject *Sender, WORD &Key, TShiftState Shift)
{
	switch( Key ){
	case VK_RETURN:
	case ' ':
	case VK_ESCAPE:
		ModalResult = mrCancel;
		break;
	}
}
//---------------------------------------------------------------------------

void __fastcall TStyleSpecsForm::FormCreate(TObject *Sender)
{
	m_panBK->Font->Size = g_szFont9;
	m_btnOk->FontSize = g_szFont9;

	m_lblSpecs1->Caption = "1、伴奏个数不得少于4个";
	m_lblSpecs2->Caption = "2、加花个数不得少于2个";
	m_lblSpecs3->Caption = "3、大调前奏个数不得少于2个";
	m_lblSpecs4->Caption = "4、小调前奏个数不得少于2个";
	m_lblSpecs5->Caption = "5、大调尾奏个数不得少于2个";
	m_lblSpecs6->Caption = "6、小调尾奏个数不得少于2个";
	m_lblSpecs7->Caption = "7、待分享风格必须完全由发布风格组合而成";
	m_lblSpecs8->Caption = "8、待发布风格必须完全由本地风格组合而成";

	m_aLabel[0] = m_lblSpecs1;
	m_aLabel[1] = m_lblSpecs2;
	m_aLabel[2] = m_lblSpecs3;
	m_aLabel[3] = m_lblSpecs4;
	m_aLabel[4] = m_lblSpecs5;
	m_aLabel[5] = m_lblSpecs6;
	m_aLabel[6] = m_lblSpecs7;
	m_aLabel[7] = m_lblSpecs8;

	for( int i=0; i<MAX_LABEL; i++ ){
		m_aLabel[i]->Font->Color = ( m_dwError & (1<<i) ) ? 0x004040FF : 0x00DACBBF;
	}
}
//---------------------------------------------------------------------------

